<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.cyksj.mapper.claudecode.ClaudeCodeUserResetRecordMapper">

    <select id="getUserResetCountByUserIds" resultType="java.lang.Integer">
        select sum(num) from claude_code_user_reset_record where user_id in
        <foreach collection="userIdList" item="item" open="(" separator="," close=")">
            #{item}
        </foreach>
    </select>
</mapper>